Salome HOME
SALOME build and run scripts are added.
authorbri <bri@opencascade.com>
Mon, 10 Feb 2014 14:17:56 +0000 (18:17 +0400)
committerbri <bri@opencascade.com>
Mon, 10 Feb 2014 14:17:56 +0000 (18:17 +0400)
scripts/README
scripts/build.sh [new file with mode: 0644]
scripts/env_build.sh [new file with mode: 0644]
scripts/env_products.sh [new file with mode: 0644]
scripts/env_siman.sh
scripts/run_salome_siman.sh

index 70a4f097ef2de15df74459de9e1a4bfe6c9450e3..d24364296374037728775a2e06d5c67d459df0e4 100644 (file)
@@ -23,15 +23,17 @@ wso2-wsf-cpp-2.1.0_mandriva_2010-64.tgz
 This README files is also delivered in SIMANIO_SRC/scripts directory
 
 4. Build SIMANIO_SRC using these scripts as following :
-source env_siman.sh 
+. env_siman.sh 
 ./siman_build.sh
 
-5. Build all other modules in usual manner
+5. Build other required SALOME modules in usual manner 
+for example, using the scripts provided with offical SALOME installation (env_build.sh, env_products.sh, build.sh)
 
-Note: additionally the following SALOME modules (not impacted with SIMAN changes) should be also build 
+Additionally the following SALOME modules (not currently impacted with SIMAN changes) can be also built to using in SIMAN project test cases.
 "VISU PARAVIS YACS NETGENPLUGIN GHS3DPLUGIN BLSURFPLUGIN HexoticPLUGIN GHS3DPRLPLUGIN"
 
-6. Check runnability of SALOME in two modes - without and with SIMAN :
+6. Set SALOME runtime environment and Check runnability of SALOME in two modes - without and with SIMAN :
+. env_siman.sh
+. env_products.sh
 runSalome
 runSalome --siman
-
diff --git a/scripts/build.sh b/scripts/build.sh
new file mode 100644 (file)
index 0000000..935a10c
--- /dev/null
@@ -0,0 +1,476 @@
+#!/bin/bash -noprofile
+
+####################################################################################
+#  File      : build.sh
+#  Created   : Thu Jan 27 09:50:55 2005
+#  Author    : Vadim SANDLER, Open CASCADE SAS (vadim.sandler@opencascade.com)
+#  Project   : SALOME
+#  Module    : Installation Wizard
+#  Copyright : 2002-2012 CEA
+#
+#  This script is the part of the SALOME installation procedure.
+#
+#  This script can be used to build and install SALOME modules from sources.
+#  Try build.sh -h for more details about usage.
+#
+####################################################################################
+
+###############################################################
+# Prints usage information and exits
+###############################################################
+usage(){
+    echo ""
+    echo "Description:"
+    echo "            Builds given SALOME modules by performing make and "
+    echo "            make install commands"
+    echo ""
+    echo "Usage:"
+    echo "            build.sh [ <option> ] ... [ <module> [ <module> ... ] ]"
+    echo ""
+    echo "<module>    Modules to build, separated by space(s)."
+    echo "            If no modules are given - all SALOME modules are assumed."
+    echo "            Note, that modules given in command lines are automatically"
+    echo "            sorted in such order to support correct modules dependencies."
+    echo ""
+    echo "Options:"
+    echo "-b          Perform build_configure command for all given modules."
+    echo "            This option forces configure (-c) key to be set. Default is off."
+    echo ""
+    echo "-c          Perform configure command for all given modules. Default is off."
+    echo ""
+    echo "-w          Add --without-gui key to build_configure and configure commands"
+    echo "            to build SALOME module sources without GUI."
+    echo "            By default sources are built with GUI."
+    echo ""
+    echo "-d          Delete build directories before calling configure, to force full"
+    echo "            rebuild and reinstall of the module."
+    echo "            Use this option carefully."
+    echo ""
+    echo "-o          Build sources in optimized mode. Default is off that means"
+    echo "            debug mode."
+    echo "            Use this option together with -c or -b."
+    echo "            This option can require -d option to be set (to ensure that"
+    echo "            previously created build directories are removed to enforce"
+    echo "            rebuild in optimized mode)."
+    echo ""
+    echo "-t          Performs make dev_docs step to build TUI documentation for those"
+    echo "            modules which support this. Default is off."
+    echo ""
+    echo "-p <prefix> Define the directory where to install modules after compilation."
+    echo "            By default the directory where compilation is performed is used."
+    echo ""
+    echo "-v <level>  Verbose level (0-2, default 2): print information on build status:"
+    echo "            0: only 'make' errors"
+    echo "            1: 0 + compiler and other errors (build_configure, configure)"
+    echo "            2: 1 + compiler and other warnings "
+    echo ""
+    echo "-h          Prints this help information."
+    echo ""
+    echo "Note:       If no keys are given script just performs make step."
+    echo ""
+    echo "Example:"
+    echo "            ./build.csh -o -p /home/user/salome -b KERNEL MED GEOM"
+    echo ""
+    echo "            This will make KERNEL, GEOM and MED modules: build_configure,"
+    echo "            configure, make and install procedures will be performed for all"
+    echo "            specified modules. The modules will be built in the optimized mode."
+    echo ""
+    exit 1
+}
+
+is_build_configure=0
+is_configure=0
+inst_with_gui=1
+is_delete=0
+verbose_level=2
+params=""
+modules="KERNEL GUI GEOM MED SMESH VISU PARAVIS YACS NETGENPLUGIN GHS3DPLUGIN BLSURFPLUGIN HexoticPLUGIN GHS3DPRLPLUGIN COMPONENT PYCALCULATOR CALCULATOR HELLO PYHELLO LIGHT PYLIGHT SIERPINSKY RANDOMIZER HEXABLOCK HEXABLOCKPLUGIN ATOMIC ATOMGEN ATOMSOLV HOMARD JOBMANAGER"
+#modules="KERNEL GUI GEOM MED SMESH VISU PARAVIS YACS NETGENPLUGIN GHS3DPLUGIN BLSURFPLUGIN HexoticPLUGIN GHS3DPRLPLUGIN PYHELLO"
+modules="KERNEL GUI GEOM MED SMESH PYHELLO"
+optim=""
+is_install=1
+is_tui=0
+prefix=""
+def_install_dir="/INSTALL"
+
+#########################################################
+# parse parameters
+#########################################################
+while getopts ":hbcwdotv:p:" option ; do
+    case $option in
+        h ) usage ;;
+        b ) is_build_configure=1 ; is_configure=1 ;;
+        c ) is_configure=1 ;;
+        w ) inst_with_gui=0 ;;
+        d ) is_delete=1 ;;
+        o ) optim="--enable-production=yes --disable-debug" ;;
+       t ) is_tui=1 ;;
+        v ) verbose_level=$OPTARG ;;
+        p ) is_install=1 ; prefix=$OPTARG ;;
+        ? ) usage ;;
+    esac
+done
+# shift to have the good number of other args
+shift $((OPTIND - 1))
+
+b_params=""
+
+for arg in $@ ; do
+    known=0
+    for m in $modules ; do
+       if [ "$m" == "$arg" ] ; then known=1 ; break ; fi
+    done
+    if [ $known -eq 0 ] ; then
+       echo
+       echo '!!! Warning !!! Unknown module: '$arg'.'
+       b_params="$b_params $arg"
+    else
+       params="$params $arg"
+    fi
+done
+
+#########################################################
+# sort modules in proper order according to the dependancies
+#########################################################
+if [ "${params}" != "" ] ; then
+    xparams=""
+    for module in ${modules} ; do
+       found=0
+       for p in $params ; do
+           if [ "$p" == "$module" ] ; then found=1 ; break ; fi
+       done
+       if [ $found -eq 1 ] ; then 
+           xparams="$xparams $module"
+       fi
+    done
+    modules="$xparams $b_params"
+elif [ "${b_params}" != "" ] ; then
+    modules="$b_params"
+fi
+
+echo
+echo ">>> The following modules will be built:"
+echo $modules
+echo
+
+#########################################################
+# set environment
+#########################################################
+env_script=`dirname $0`/env_build.sh
+if [ ! -e $env_script ] ; then
+    env_script=`dirname $0`/env_products.sh
+fi
+if [ ! -e $env_script ] ; then
+    env_script=`dirname $0`/env.sh
+fi
+if [ -e $env_script ] ; then
+    echo
+    echo ">>> Setting environment"
+    source $env_script
+else
+    echo
+    echo '!!! Warning !!! Environment is not set.'
+    echo 'No environment file (env_build.sh, env_products.sh, env.sh) is found.'
+    echo 'Proceed with the current environment.'
+fi
+
+BUILD_DIR=${PWD}
+LOG_DIR=${BUILD_DIR}/LOGS
+
+#########################################################
+# define installation prefix
+#########################################################
+if [ "$prefix" == "" ] ; then
+    echo
+    echo '!!! Warning !!! Installation directory is not set.'
+    echo "All the modules will be installed to the ${BUILD_DIR}${def_install_dir}"
+else
+    if [ "`echo $prefix | grep -E '^/'`" == "" ] ; then
+       prefix=${BUILD_DIR}/$prefix
+       echo
+       echo '!!! Warning !!! Relative prefix is used.'
+       echo "All the modules will be installed to the $prefix."
+    fi
+fi
+
+#########################################################
+# create log directory
+#########################################################
+if [ ! -e ${LOG_DIR} ] ; then
+    mkdir -p ${LOG_DIR}
+fi
+
+echo
+echo "==========================================================================="
+echo "Starting SALOME build at `date`"
+echo "==========================================================================="
+echo
+
+#########################################################
+# loop for all given modules
+#########################################################
+for module in ${modules}; do
+    echo ">>> Processing ${module} module"
+
+    module_src=`printenv ${module}_SRC_DIR`
+    module_build=${BUILD_DIR}/${module}_BUILD
+    
+    if [ "${module_src}" != "" ] ; then
+       cd ${BUILD_DIR}
+        #########################################################
+        # check if sources directory exists
+        #########################################################
+       if [ ! -e ${module_src} ] ; then
+           echo
+           echo '!!! Error !!! Cannot find module sources directory:'
+           echo "${module_src} does not exist."
+           echo
+           continue
+       fi
+        #########################################################
+        # check if configure script exists
+        #########################################################
+       cfg_exist=0
+       if [ -e ${module_src}/configure ] || [ -e ${module_src}/CMakeLists.txt ] ; then
+           cfg_exist=1
+       fi
+        #########################################################
+        # perform build_configure if -b flag is given or if 
+        # configure script does not exist (first compilation?)
+        #########################################################
+       if [ $is_build_configure -eq 1 ] || [ $cfg_exist -eq 0 ] ; then
+           echo "... Performing build_configure"
+           #########################################################
+            # check if build_configure script exists
+           #########################################################
+           if [ ! -e ${module_src}/build_configure ] && [ "${module}" != "PARAVIS" ] ; then
+               echo '!!! Warning !!! Cannot find build_configure script in '${module_src}'.'
+           else
+               if [ "${module}" == "PARAVIS" ]; then
+                   echo '!!! Warning !!! build_configure step is not executed for '${module}'.'                    
+               else
+                   #########################################################
+                    # call build_configure
+                   #########################################################
+                   mybuildconf_keys="${BUILDCONF_OPTS}"
+                   if [ $inst_with_gui -eq 0 ] ; then
+                       mybuildconf_keys="${mybuildconf_keys} --without-gui"
+                   fi
+                   cd ${module_src}
+                   ./build_configure ${mybuildconf_keys} >& ${LOG_DIR}/build_configure_${module}.log
+                   #########################################################
+                   # echo possible errors
+                   #########################################################
+                   if [ $verbose_level -gt 0 ] ; then
+                       cat ${LOG_DIR}/build_configure_${module}.log | grep -E "(failed|: error:)" >&2
+                   fi
+               fi
+           fi
+       fi
+        #########################################################
+        # deleting build directory if -d flag is given
+        #########################################################
+       if [ -e ${module_build} ] && [ $is_delete -eq 1 ] ; then
+           echo "... Removing ${module_build}"
+           chmod -R +w ${module_build} && rm -rf ${module_build} >& /dev/null
+           if [ "$?" != "0" ] ; then
+               echo
+               echo '!!! Warning !!! Cannot remove build directory ${module_build}. Permission denied.'
+               echo
+           fi
+       fi
+        #########################################################
+        # creating build directory if it does not exist
+        #########################################################
+       if [ ! -e ${module_build} ] ; then
+           mkdir -p ${module_build} >& /dev/null
+           if [ "$?" != "0" ] ; then
+               echo
+               echo '!!! Error !!! Cannot create build directory ${module_build}. Permission denied.'
+               echo
+               continue
+           fi
+       fi
+       cd ${module_build}
+        #########################################################
+        # check if top Makefile exists in build directory, i.e. 
+        # is it necessary to run configure script
+        #########################################################
+       mkfile_exist=0
+       if [ -e ${module_build}/Makefile ] ; then
+           mkfile_exist=1
+       fi
+        #########################################################
+        # check if configure options are changed from the 
+        # previous launch
+        #########################################################
+       opts_changed=0
+        #########################################################
+        # define installation directory (by using module's version
+        # number); default is a build directory
+        #########################################################
+       vx=""
+       if [ -e ${module_src}/configure.ac ] ; then
+           vx=`grep -e "^AC_INIT" ${module_src}/configure.ac | sed -e "s%.*\[\([[:digit:].]*\)\].*%\1%g"`
+       elif [ -e ${module_src}/configure.in.base ] ; then
+           vx=`grep -e "^VERSION=" ${module_src}/configure.in.base | awk -F= '{ if (NF>1) print $NF; }' | tr -d '[:space:]'`
+           if [ "$vx" == "" ] ; then
+               vx=`grep -e "^AC_INIT" ${module_src}/configure.in.base | sed -e "s%.*\[\([[:digit:].]*\)\].*%\1%g"`
+           fi
+       elif [ -e ${module_src}/CMakeLists.txt ] ; then
+           ver_maj=`cat ${module_src}/CMakeLists.txt | grep SET\(VERSION_MAJOR | sed -e "s%[A-Z_() ]%%g"`
+           ver_min=`cat ${module_src}/CMakeLists.txt | grep SET\(VERSION_MINOR | sed -e "s%[A-Z_() ]%%g"`
+           ver_maintenance=`cat ${module_src}/CMakeLists.txt | grep SET\(VERSION_MAINTENANCE | sed -e "s%[A-Z_() ]%%g"`
+           vx="${ver_maj}.${ver_min}.${ver_maintenance}"
+       fi
+       if [ "$vx" != "" ] ; then
+           vx="_$vx"
+       fi
+       if [ "$prefix" == "" ] ; then
+           px=${BUILD_DIR}${def_install_dir}/${module}${vx}
+       else
+           px=$prefix/${module}${vx}
+       fi
+        #########################################################
+        # perform configure if -c flag is given or if 
+        # Makefile does not exist (first compilation?)
+        #########################################################
+       if [ $is_configure -eq 1 ] || [ $mkfile_exist -eq 0 ] || [ $opts_changed -eq 1 ] ; then
+           echo "... Performing configure"
+           #########################################################
+           # check if configure script exists
+           #########################################################
+           if [ ! -e ${module_src}/configure ] && [ "${module}" != "PARAVIS" ] ; then
+               echo
+               echo '!!! Warning !!! Can not find configure script in '${module_src}'.'
+               echo
+           else
+               myconf_keys="${CONF_OPTS}"
+               if [ $inst_with_gui -eq 0 ] ; then
+                   myconf_keys="${myconf_keys} --without-gui"
+               fi
+               if [ "${module}" == "MED" ] && [ "${METISDIR}" != "" ] && [ "${SCOTCHDIR}" != "" ] ; then
+                   myconf_keys="${myconf_keys} --enable-splitter=yes --with-metis=${METISDIR} --with-scotch=${SCOTCHDIR}"
+               fi
+               if [ "${module}" == "NETGENPLUGIN" ] && [ "$NETGENHOME" != "" ] ; then
+                   myconf_keys="${myconf_keys} --with-netgen=${NETGENHOME}"
+               fi
+
+               if [ "${module}" == "PARAVIS" ] ; then
+                   cd ${module_build}; cmake ${module_src} -DCMAKE_INSTALL_PREFIX=$px >& ${LOG_DIR}/configure_${module}.log
+               else
+                   ${module_src}/configure --prefix=$px ${optim} ${myconf_keys} >& ${LOG_DIR}/configure_${module}.log
+               fi
+
+               #########################################################
+               # echo possible errors
+               #########################################################
+               if [ $verbose_level -gt 0 ] ; then
+                   cat ${LOG_DIR}/configure_${module}.log | grep ": error:" >&2
+               fi
+               if [ $verbose_level -gt 1 ] ; then
+                   cat ${LOG_DIR}/configure_${module}.log | grep ": WARNING:" >&2
+               fi
+           fi
+       fi
+        #########################################################
+        # perform make
+        #########################################################
+        echo "... Performing make"
+        #########################################################
+        # first clear dependencies
+        #########################################################
+       find . -name ".dep*" -type f -exec rm -f {} \; >& /dev/null
+        #########################################################
+        # then make
+        #########################################################
+       if [ "${module}" == "PARAVIS" ] ; then
+           VTK_AUTOLOAD_PATH_BACKUP=${VTK_AUTOLOAD_PATH}
+           test "${VTK_AUTOLOAD_PATH}" != "" && unset VTK_AUTOLOAD_PATH
+       fi
+       make >& ${LOG_DIR}/make_${module}.log
+       sts=$?
+       if [ "${module}" == "PARAVIS" ] ; then
+           test "${VTK_AUTOLOAD_PATH_BACKUP}" != "" && export VTK_AUTOLOAD_PATH=${VTK_AUTOLOAD_PATH_BACKUP}
+       fi
+        #########################################################
+        # if make step is successful set the ${module}_ROOT_DIR
+        # environment variable
+        #########################################################
+        #if [ $sts -eq 0 ] ; then
+       #    export ${module}_ROOT_DIR=${module_build}
+       #fi
+        #########################################################
+        # print make errors
+        #########################################################
+       cat ${LOG_DIR}/make_${module}.log | grep -Ei '[*][*][*].*error' >&2
+        #########################################################
+        # print compiler errors and warnings
+        # Note: here awk is used to concatenate together several lines of single
+        #       error or warning message produced by stupid gnu compiler
+        # Actually, instead of that we could use 'fmessage length=n' option of g++...
+        #########################################################
+       if [ $verbose_level -gt 0 ] ; then
+           ###cat ${LOG_DIR}/make_${module}.log | grep ": error"
+           cat ${LOG_DIR}/make_${module}.log | awk 'substr($0,0,1)!=" " {print ""} {print $0} END {print ""}' | grep "${module_src}/[A-Za-z_0-9./]*:" | sed s@"^${module_src}/src/"@@ >&2
+       fi
+       if [ $verbose_level -gt 1 ] ; then
+           cat ${LOG_DIR}/make_${module}.log | awk 'substr($0,0,1)!=" " {print ""} {print $0} END {print ""}' | grep -E ": warning|* Warning" | sed s@"^${module_src}/src/"@@ >&2
+       fi
+        #########################################################
+        # perform make dev_docs step if -t flag is given
+        #########################################################
+       if [ $is_tui -eq 1 ] && [ $sts -eq 0 ] && [ -d ${module_build}/doc ] ; then
+           cd ${module_build}/doc
+           dd=`cat Makefile | grep -E "dev_docs[[:space:]]*:"`
+           if [ "$dd" != "" ] ; then
+               echo "... Performing make dev_docs"
+               make dev_docs >& ${LOG_DIR}/make_dev_docs_${module}.log
+               cat ${LOG_DIR}/make_dev_docs_${module}.log | grep '[*][*][*]' >&2
+           fi
+       fi
+       cd ${module_build}
+        #########################################################
+        # perform make if -i or -p flags are given
+        #########################################################
+       if [ $is_install -eq 1 ] && [ $sts -eq 0 ] || [ "${module}" == "KERNEL" ] ; then
+           #########################################################
+           # deleting build directory if -d flag is given
+           #########################################################
+           if [ -e $px ] && [ $is_delete -eq 1 ] ; then
+               echo "... Removing $px"
+               rm -rf $px >& /dev/null
+               if [ "$?" != "0" ] ; then
+                   echo
+                   echo '!!! Warning !!! Cannot remove install directory ${px}. Permission denied.'
+                   echo
+               fi
+           fi
+           echo "... Performing make install"
+           make install >& ${LOG_DIR}/make_install_${module}.log
+           sts=$?
+           #########################################################
+           # if make install step is successful set the 
+            # ${module}_ROOT_DIR environment variable
+           #########################################################
+           if [ $sts -eq 0 ] ; then
+               export ${module}_ROOT_DIR=$px
+           fi
+       fi
+       echo ">>> Finished ${module} module"
+    else
+       echo
+       echo '!!! Error !!! Cannot find module sources. '${module}'_SRC_DIR environment variable is not set.'
+       echo
+    fi
+done
+#########################################################
+# finalize
+#########################################################
+cd ${BUILD_DIR}
+
+echo
+echo "==========================================================================="
+echo "SALOME build finished at `date`"
+echo "==========================================================================="
+echo 
diff --git a/scripts/env_build.sh b/scripts/env_build.sh
new file mode 100644 (file)
index 0000000..12aeeeb
--- /dev/null
@@ -0,0 +1,838 @@
+##########################################################################
+# Functions exporta and exportp are used to append/prepend correspondingly 
+# one directory or a set of directories separated by semicolon symbol (':')
+# to the environment variables like PATH, LD_LIBRARY_PATH, PYTHONPATH,
+# LD_RUN_PATH etc. 
+# The main purpose is to replace default setenv command behavior:
+# exporta, exportp also remove duplicated entries, shortening in that way
+# the environment variables.
+# If some directory being added is already included into the variable
+# nothing is done for it.
+# Note, that these functions work some slower that setenv command itself.
+#
+#### cleandup ###
+# appends/prepends set of directories (second parameter) 
+# to the another set of directories (first parameter) and
+# removes duplicated entries;
+# the third parameter defines the mode: 0 - append, 1 - prepend
+cleandup() {
+out_var=`echo $1 $2 | awk -v dir=$3 '{                   \
+     na = split($2,a,":");                               \
+     k1=0;                                               \
+     bbb[k1++]="";                                       \
+     ccc[""];                                            \
+     if($1 != "<empty>") {                               \
+       nb = split($1,b,":");                             \
+       for(i=1;i<=nb;i++) {                              \
+         if(!(b[i] in ccc) ) {                           \
+          ccc[b[i]];                                    \
+           bbb[k1++]=b[i];                               \
+        };                                              \
+       };                                                \
+     };                                                  \
+     k2=0;                                               \
+     aaa[k2++]="";                                       \
+     for(i=1;i<=na;i++) {                                \
+       if(!(a[i] in ccc)) {                              \
+         ccc[a[i]];                                      \
+         aaa[k2++]=a[i];                                 \
+       };                                                \
+     };                                                  \
+     ORS=":";                                            \
+     if(dir) {                                           \
+       for(i=1;i<k2;i++) {                               \
+         print aaa[i];                                   \
+       }                                                 \
+       for(i=1;i<k1;i++) {                               \
+         print bbb[i];                                   \
+       }                                                 \
+     }                                                   \
+     else {                                              \
+       for(i=1;i<k1;i++) {                               \
+         print bbb[i];                                   \
+       }                                                 \
+       for(i=1;i<k2;i++) {                               \
+         print aaa[i];                                   \
+       }                                                 \
+     }                                                   \
+   }' | sed -e 's/\(.*\):/\1/g'`
+echo $out_var
+}
+### exporta ###
+# appends directory or set of directories, separated by ':' (second parameter)
+# to the variable (first parameter)
+exporta () { 
+xenv=`printenv $1`
+if [ -z "$xenv" ]; then xenv="<empty>"; fi
+out_var=`cleandup $xenv $2 0`
+export $1=$out_var
+}
+### exportp ###
+# prepends directory or set of directories, separated by ':' (second parameter)
+# to the variable (first parameter)
+exportp () { 
+xenv=`printenv $1`
+if [ -z "$xenv" ]; then xenv="<empty>"; fi
+out_var=`cleandup $xenv $2 1`
+export $1=$out_var
+}
+###########################################################################
+
+#------ Setting products installation directory ------
+#export INST_ROOT=/dn40/PRODUCTS/salome/6.x/opt/DEBIAN.6.0.64/6.6.0
+export INST_ROOT=${PWD}
+
+### Variables for OCCT 653
+### Set this variable to 1 in order to use OCCT products from ${INST_ROOT}
+### Otherwise these products will be taken from other location (devenv)
+### Default value is 0
+if [ -z "$IN_PLACE_OCCT_PRODUCTS" ] ; then
+IN_PLACE_OCCT_PRODUCTS=1
+fi
+
+if [ "${IN_PLACE_OCCT_PRODUCTS}" != "1" ] ; then
+  if [ -f /dn40/PRODUCTS/salome/OCCT/salome650-occt-products/Debian60-64/env_products.sh ] ; then
+    . /dn40/PRODUCTS/salome/OCCT/salome650-occt-products/Debian60-64/env_products.sh
+  else
+    echo "ERROR: env file for CASCADE products is not found! Please contact maintenance team!"
+  fi
+fi
+
+#------ Environment switch: 0 for SALOME building, 1 for SALOME launching ------
+export ENV_FOR_LAUNCH=0
+
+#------ tcltk ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export TCLHOME=${INST_ROOT}/tcltk-8.5.8
+exportp PATH ${TCLHOME}/bin
+exportp LD_LIBRARY_PATH ${TCLHOME}/lib
+export TCLLIBPATH="${TCLHOME}/lib ${TCLHOME}/lib/tcl8.5 ${TCLHOME}/lib/tk8.5"
+fi
+##
+#------ tcltk_src ------
+# nothing to do
+##
+#------ Python ------
+export PYTHONROOT=${INST_ROOT}/Python-2.6.6
+export PYTHONHOME=$PYTHONROOT
+exportp PATH ${PYTHONROOT}/bin
+exportp LD_LIBRARY_PATH ${PYTHONROOT}/lib
+export PYTHON_VERSION=2.6
+export PYTHON_INCLUDE=${PYTHONROOT}/include/python${PYTHON_VERSION}
+exportp PYTHONPATH ${PYTHONROOT}/lib/python${PYTHON_VERSION}
+##
+#------ Python_src ------
+# nothing to do
+##
+#------ Qt ------
+export QTDIR=${INST_ROOT}/qt-4.6.3
+exportp PATH ${QTDIR}/bin 
+exportp LD_LIBRARY_PATH ${QTDIR}/lib
+export QT_PLUGIN_PATH=${QTDIR}/plugins
+##
+#------ Qt_src ------
+# nothing to do
+##
+#------ Sip ------
+export SIPDIR=${INST_ROOT}/sip-4.13.2
+exportp PATH ${SIPDIR}/bin
+exportp PYTHONPATH ${SIPDIR}/lib/python${PYTHON_VERSION}/site-packages
+exportp LD_LIBRARY_PATH ${SIPDIR}/lib/python${PYTHON_VERSION}/site-packages
+##
+#------ Sip_src ------
+# nothing to do
+##
+#------ PyQt ------
+export PYQTDIR=${INST_ROOT}/PyQt-4.9.1
+export PYQT_SIPS=${PYQTDIR}/sip
+exportp PATH ${PYQTDIR}/bin
+exportp PYTHONPATH ${PYQTDIR}:${PYQTDIR}/PyQt4
+exportp LD_LIBRARY_PATH ${PYQTDIR}/PyQt4
+##
+#------ PyQt_src ------
+# nothing to do
+##
+#------ QScintilla ------
+export QSCINTILLA_DIR=${INST_ROOT}/QScintilla-2.6.1
+exportp LD_LIBRARY_PATH ${QSCINTILLA_DIR}/lib
+##
+#------ QScintilla_src ------
+# nothing to do
+##
+#------ boost ------ 
+export BOOSTDIR=${INST_ROOT}/boost-1.49.0
+exportp LD_LIBRARY_PATH ${BOOSTDIR}/lib
+exportp PATH ${BOOSTDIR}/include
+##
+#------ boost_src ------
+# nothing to do
+##
+#------ Swig ------ 
+export SWIG_ROOT=${INST_ROOT}/swig-1.3.40
+exportp PATH ${SWIG_ROOT}/bin
+export SWIG_LIB=${SWIG_ROOT}/share/swig/1.3.40
+##
+#------ Swig_src ------
+# nothing to do
+##
+#------ freetype ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export FREETYPEDIR=${INST_ROOT}/freetype-2.4.10
+exportp LD_LIBRARY_PATH ${FREETYPEDIR}/lib
+fi
+##
+#------ freetype_src ------
+# nothing to do
+##
+#------ ftgl ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export FTGLDIR=${INST_ROOT}/ftgl-2.1.3
+exportp PATH ${FTGLDIR}/bin 
+exportp LD_LIBRARY_PATH ${FTGLDIR}/lib
+fi
+##
+#------ ftgl_src ------
+# nothing to do
+##
+#------ freeimage ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export FREEIMAGEDIR=${INST_ROOT}/freeimage-3.14.1
+exportp PATH ${FREEIMAGEDIR}/bin 
+exportp LD_LIBRARY_PATH ${FREEIMAGEDIR}/lib
+fi
+##
+#------ freeimage_src ------
+# nothing to do
+##
+#------ cmake ------
+export CMAKEHOME=${INST_ROOT}/cmake-2.8.7
+exportp PATH ${CMAKEHOME}/bin
+##
+#------ cmake_src ------
+# nothing to do
+##
+#------ gl2ps ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export GL2PSHOME=${INST_ROOT}/gl2ps-1.3.5
+exportp PATH ${GL2PSHOME}/bin 
+exportp LD_LIBRARY_PATH ${GL2PSHOME}/lib
+fi
+##
+#------ gl2ps_src ------
+# nothing to do
+##
+#------ tbb ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export TBBHOME=${INST_ROOT}/tbb30_018oss
+exportp PATH ${TBBHOME}/bin/intel64/cc4.1.0_libc2.4_kernel2.6.16.21
+exportp LD_LIBRARY_PATH ${TBBHOME}/lib/intel64/cc4.1.0_libc2.4_kernel2.6.16.21
+fi
+##
+#------ tbb_src ------
+# nothing to do
+##
+#------ OpenCascade ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export CASROOT=${INST_ROOT}/OCCT-6.5.4
+exportp PATH ${CASROOT}/bin
+exportp LD_LIBRARY_PATH ${CASROOT}/lib:${CASROOT}/lin/lib
+# Variable for Foundation Classes : 
+export CSF_UnitsLexicon=${CASROOT}/src/UnitsAPI/Lexi_Expr.dat 
+export CSF_UnitsDefinition=${CASROOT}/src/UnitsAPI/Units.dat 
+# Variable for DataExchange : 
+export CSF_SHMessage=${CASROOT}/src/SHMessage
+export CSF_XSMessage=${CASROOT}/src/XSMessage 
+# Variable for Font : 
+export CSF_MDTVFontDirectory=${CASROOT}/src/FontMFT 
+export CSF_MDTVTexturesDirectory=${CASROOT}/src/Textures 
+# Activation of OCCT Kernel multithreading :
+export MMGT_REENTRANT=1
+##
+#------ OpenCascade_src ------
+# nothing to do
+fi
+##
+#------ Qwt ------
+export QWTHOME=${INST_ROOT}/qwt-5.2.1
+exportp LD_LIBRARY_PATH ${QWTHOME}/lib 
+##
+#------ Qwt_src ------
+# nothing to do
+##
+#------ OmniORB ------
+export OMNIORBDIR=${INST_ROOT}/omniORB-4.1.6
+export OMNIORB_DIR=${OMNIORBDIR}
+export OMNIORB_CONFIG=${OMNIORBDIR}/.omniORB.cfg
+exportp PYTHONPATH ${OMNIORBDIR}/lib:${OMNIORBDIR}/lib/python${PYTHON_VERSION}/site-packages
+exportp PATH $OMNIORBDIR/bin
+exportp LD_LIBRARY_PATH $OMNIORBDIR/lib 
+##
+#------ OmniORB_src ------
+# nothing to do
+##
+#------ Hdf5 ------
+export HDF5HOME=${INST_ROOT}/hdf5-1.8.8
+exportp PATH ${HDF5HOME}/bin
+exportp LD_LIBRARY_PATH ${HDF5HOME}/lib
+##
+#------ Hdf5_src ------
+# nothing to do
+##
+#------ cgnslib ------
+export CGNSHOME=${INST_ROOT}/cgnslib-3.1.3
+exportp PATH ${CGNSHOME}/bin
+exportp LD_LIBRARY_PATH ${CGNSHOME}/lib
+##
+#------ cgnslib_src ------
+# nothing to do
+##
+#------ Med ------
+export MED3HOME=${INST_ROOT}/med-3.0.6
+exportp PATH ${MED3HOME}/bin
+exportp LD_LIBRARY_PATH ${MED3HOME}/lib
+##
+#------ Med_src ------
+# nothing to do
+##
+#------ Metis ------ 
+export METISDIR=${INST_ROOT}/metis-4.0
+##
+#------ Metis_src ------
+# nothing to do
+##
+#------ Scotch ------ 
+export SCOTCHDIR=${INST_ROOT}/scotch-5.1.11
+##
+#------ Scotch_src ------
+# nothing to do
+##
+#------ ParaView ------
+export PVHOME=${INST_ROOT}/ParaView-3.14.0
+exportp PATH ${PVHOME}/bin
+exportp LD_LIBRARY_PATH ${PVHOME}/lib/paraview-3.14
+exportp PYTHONPATH ${PVHOME}/lib/paraview-3.14:${PVHOME}/lib/paraview-3.14/site-packages:${PVHOME}/lib/paraview-3.14/site-packages/paraview
+export VTK_DIR=${PVHOME}/lib/paraview-3.14
+export PV_PLUGIN_PATH=${PVHOME}/lib/paraview-3.14
+##
+#------ ParaView_src ------
+# nothing to do
+##
+#------ numpy ------
+exportp PYTHONPATH ${INST_ROOT}/numpy-1.5.1/lib/python${PYTHON_VERSION}/site-packages
+exportp PATH ${INST_ROOT}/numpy-1.5.1/bin
+exportp LD_LIBRARY_PATH ${INST_ROOT}/numpy-1.5.1/lib
+##
+#------ numpy_src ------
+# nothing to do
+##
+#------ expat ------
+export EXPAT_ROOT=${INST_ROOT}/expat-2.0.1
+exportp PATH ${EXPAT_ROOT}/bin
+exportp LD_LIBRARY_PATH ${EXPAT_ROOT}/lib
+##
+#------ expat_src ------
+# nothing to do
+##
+#------ Graphviz ------
+export GRAPHVIZHOME=${INST_ROOT}/graphviz-2.28.0
+exportp PATH ${GRAPHVIZHOME}/bin
+exportp LD_LIBRARY_PATH ${GRAPHVIZHOME}/lib:${GRAPHVIZHOME}/lib/graphviz
+##
+#------ Graphviz_src ------
+# nothing to do
+##
+#------ Doxygen ------
+exportp PATH ${INST_ROOT}/doxygen-1.8.0/bin
+##
+#------ Doxygen_src ------
+# nothing to do
+##
+#------ docutils ------
+exportp PYTHONPATH ${INST_ROOT}/docutils-0.8.1/lib/python${PYTHON_VERSION}/site-packages
+exportp PATH ${INST_ROOT}/docutils-0.8.1/bin
+##
+#------ docutils_src ------
+# nothing to do
+##
+#------ Sphinx ------
+exportp PYTHONPATH ${INST_ROOT}/Sphinx-1.1.3/lib/python${PYTHON_VERSION}/site-packages
+exportp PATH ${INST_ROOT}/Sphinx-1.1.3/bin
+##
+#------ Sphinx_src ------
+# nothing to do
+##
+#------ libxml2 ------
+export LIBXML_DIR=${INST_ROOT}/libxml2-2.7.8
+exportp PATH ${LIBXML_DIR}/bin
+exportp LD_LIBRARY_PATH ${LIBXML_DIR}/lib
+##
+#------ libxml2_src ------
+# nothing to do
+##
+#------ netgen ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export NETGENHOME=${INST_ROOT}/netgen-4.9.13
+exportp LD_LIBRARY_PATH ${NETGENHOME}/lib
+fi
+##
+#------ netgen_src ------
+# nothing to do
+##
+#------ DISTENE ------
+export DISTENE_HOME=${INST_ROOT}/DISTENE
+export MESHGEMSHOME=${DISTENE_HOME}/MeshGems-1.0/Products
+exportp LD_LIBRARY_PATH ${MESHGEMSHOME}/lib/Linux_64
+exportp PATH ${MESHGEMSHOME}/bin/Linux_64
+export HEXOTIC_HOME=${DISTENE_HOME}/Hexotic-1.0
+exportp PATH ${HEXOTIC_HOME}/bin/Linux_64
+. ${DISTENE_HOME}/DLim/dlim8.var.sh
+##
+#------ DISTENE_src ------
+# nothing to do
+##
+#------ homard ------
+export homard_HOME=${INST_ROOT}/homard
+exportp PATH ${homard_HOME}/HOMARD_V10.4_64
+##
+#------ homard_src ------
+# nothing to do
+##
+#==============================================================================
+#==============================================================================
+#==============================================================================
+
+export vx=""
+if [ -e KERNEL_SRC/configure.ac ] ; then
+    vx=`grep -e "^AC_INIT" KERNEL_SRC/configure.ac | sed -e "s%.*\[\([[:digit:].]*\)\].*%\1%g"`
+elif [ -e KERNEL_SRC/configure.in.base ] ; then
+    vx=`grep -e "^VERSION=" KERNEL_SRC/configure.in.base | awk -F= '{ if (NF>1) print $NF; }' | tr -d '[:space:]'`
+    if [ "$vx" == "" ] ; then
+       >vx=`grep -e "^AC_INIT" KERNEL_SRC/configure.in.base | sed -e "s%.*\[\([[:digit:].]*\)\].*%\1%g"`
+    fi
+elif [ -e KERNEL_SRC/CMakeLists.txt ] ; then
+    ver_maj=`cat KERNEL_SRC/CMakeLists.txt | grep SET\(VERSION_MAJOR | sed -e "s%[A-Z_() ]%%g"`
+    ver_min=`cat KERNEL_SRC/CMakeLists.txt | grep SET\(VERSION_MINOR | sed -e "s%[A-Z_() ]%%g"`
+    ver_maintenance=`cat KERNEL_SRC/CMakeLists.txt | grep SET\(VERSION_MAINTENANCE | sed -e "s%[A-Z_() ]%%g"`
+    vx="${ver_maj}.${ver_min}.${ver_maintenance}"
+fi
+if [ "$vx" != "" ] ; then
+    vx="_$vx"
+fi
+
+#echo vx ================== ${vx}
+#exit
+
+#------ KERNEL ------
+export KERNEL_ROOT_DIR=${INST_ROOT}/KERNEL${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${KERNEL_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${KERNEL_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${KERNEL_ROOT_DIR}/bin/salome:${KERNEL_ROOT_DIR}/lib/salome:${KERNEL_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ KERNEL_src ------
+export KERNEL_SRC_DIR=${INST_ROOT}/KERNEL_SRC
+##
+#------ GUI ------
+export GUI_ROOT_DIR=${INST_ROOT}/GUI${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${GUI_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${GUI_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${GUI_ROOT_DIR}/bin/salome:${GUI_ROOT_DIR}/lib/salome:${GUI_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+    export VTK_AUTOLOAD_PATH=${GUI_ROOT_DIR}/lib/paraview
+  fi
+fi
+##
+#------ GUI_src ------
+export GUI_SRC_DIR=${INST_ROOT}/GUI_SRC
+##
+#------ GEOM ------
+export GEOM_ROOT_DIR=${INST_ROOT}/GEOM${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${GEOM_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${GEOM_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${GEOM_ROOT_DIR}/bin/salome:${GEOM_ROOT_DIR}/lib/salome:${GEOM_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ GEOM_src ------
+export GEOM_SRC_DIR=${INST_ROOT}/GEOM_SRC
+##
+#------ MED ------
+export MED_ROOT_DIR=${INST_ROOT}/MED${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${MED_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${MED_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${MED_ROOT_DIR}/bin/salome:${MED_ROOT_DIR}/lib/salome:${MED_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+    export AM2CMAKE_FORCE_GENERATION=1
+  fi
+fi
+##
+#------ MED_src ------
+export MED_SRC_DIR=${INST_ROOT}/MED_SRC
+##
+#------ SMESH ------
+export SMESH_ROOT_DIR=${INST_ROOT}/SMESH${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${SMESH_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${SMESH_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${SMESH_ROOT_DIR}/bin/salome:${SMESH_ROOT_DIR}/lib/salome:${SMESH_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ SMESH_src ------
+export SMESH_SRC_DIR=${INST_ROOT}/SMESH_SRC
+##
+#------ VISU ------
+export VISU_ROOT_DIR=${INST_ROOT}/VISU${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${VISU_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${VISU_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${VISU_ROOT_DIR}/bin/salome:${VISU_ROOT_DIR}/lib/salome:${VISU_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ VISU_src ------
+export VISU_SRC_DIR=${INST_ROOT}/VISU_SRC
+##
+#------ PARAVIS ------
+export PARAVIS_ROOT_DIR=${INST_ROOT}/PARAVIS${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${PARAVIS_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${PARAVIS_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${PARAVIS_ROOT_DIR}/bin/salome:${PARAVIS_ROOT_DIR}/lib/salome:${PARAVIS_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+    export PV_PLUGIN_PATH=${PARAVIS_ROOT_DIR}/lib/paraview:${PV_PLUGIN_PATH}
+  fi
+fi
+##
+#------ PARAVIS_src ------
+export PARAVIS_SRC_DIR=${INST_ROOT}/PARAVIS_SRC
+export ACCEPT_PARAVIS_WARNINGS=1
+##
+#------ HEXABLOCK ------
+export HEXABLOCK_ROOT_DIR=${INST_ROOT}/HEXABLOCK${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${HEXABLOCK_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${HEXABLOCK_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HEXABLOCK_ROOT_DIR}/bin/salome:${HEXABLOCK_ROOT_DIR}/lib/salome:${HEXABLOCK_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HEXABLOCK_src ------
+export HEXABLOCK_SRC_DIR=${INST_ROOT}/HEXABLOCK_SRC
+##
+#------ HEXABLOCKPLUGIN ------
+export HEXABLOCKPLUGIN_ROOT_DIR=${INST_ROOT}/HEXABLOCKPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp LD_LIBRARY_PATH ${HEXABLOCKPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HEXABLOCKPLUGIN_ROOT_DIR}/lib/salome:${HEXABLOCKPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HEXABLOCKPLUGIN_src ------
+export HEXABLOCKPLUGIN_SRC_DIR=${INST_ROOT}/HEXABLOCKPLUGIN_SRC
+##
+#------ NETGENPLUGIN ------
+export NETGENPLUGIN_ROOT_DIR=${INST_ROOT}/NETGENPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp LD_LIBRARY_PATH ${NETGENPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${NETGENPLUGIN_ROOT_DIR}/lib/salome:${NETGENPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ NETGENPLUGIN_src ------
+export NETGENPLUGIN_SRC_DIR=${INST_ROOT}/NETGENPLUGIN_SRC
+##
+#------ GHS3DPLUGIN ------
+export GHS3DPLUGIN_ROOT_DIR=${INST_ROOT}/GHS3DPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp LD_LIBRARY_PATH ${GHS3DPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${GHS3DPLUGIN_ROOT_DIR}/lib/salome:${GHS3DPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ GHS3DPLUGIN_src ------
+export GHS3DPLUGIN_SRC_DIR=${INST_ROOT}/GHS3DPLUGIN_SRC
+##
+#------ GHS3DPRLPLUGIN ------
+export GHS3DPRLPLUGIN_ROOT_DIR=${INST_ROOT}/GHS3DPRLPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${GHS3DPRLPLUGIN_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${GHS3DPRLPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${GHS3DPRLPLUGIN_ROOT_DIR}/bin/salome:${GHS3DPRLPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ GHS3DPRLPLUGIN_src ------
+export GHS3DPRLPLUGIN_SRC_DIR=${INST_ROOT}/GHS3DPRLPLUGIN_SRC
+##
+#------ BLSURFPLUGIN ------
+export BLSURFPLUGIN_ROOT_DIR=${INST_ROOT}/BLSURFPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${BLSURFPLUGIN_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${BLSURFPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${BLSURFPLUGIN_ROOT_DIR}/bin/salome:${BLSURFPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ BLSURFPLUGIN_src ------
+export BLSURFPLUGIN_SRC_DIR=${INST_ROOT}/BLSURFPLUGIN_SRC
+##
+#------ HexoticPLUGIN ------
+export HexoticPLUGIN_ROOT_DIR=${INST_ROOT}/HexoticPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${HexoticPLUGIN_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${HexoticPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HexoticPLUGIN_ROOT_DIR}/bin/salome:${HexoticPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HexoticPLUGIN_src ------
+export HexoticPLUGIN_SRC_DIR=${INST_ROOT}/HexoticPLUGIN_SRC
+##
+#------ COMPONENT ------
+export COMPONENT_ROOT_DIR=${INST_ROOT}/COMPONENT${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${COMPONENT_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${COMPONENT_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${COMPONENT_ROOT_DIR}/bin/salome:${COMPONENT_ROOT_DIR}/lib/salome:${COMPONENT_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ COMPONENT_src ------
+export COMPONENT_SRC_DIR=${INST_ROOT}/COMPONENT_SRC
+##
+#------ PYCALCULATOR ------
+export PYCALCULATOR_ROOT_DIR=${INST_ROOT}/PYCALCULATOR${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${PYCALCULATOR_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${PYCALCULATOR_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${PYCALCULATOR_ROOT_DIR}/bin/salome:${PYCALCULATOR_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ PYCALCULATOR_src ------
+export PYCALCULATOR_SRC_DIR=${INST_ROOT}/PYCALCULATOR_SRC
+##
+#------ CALCULATOR ------
+export CALCULATOR_ROOT_DIR=${INST_ROOT}/CALCULATOR${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${CALCULATOR_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${CALCULATOR_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${CALCULATOR_ROOT_DIR}/bin/salome:${CALCULATOR_ROOT_DIR}/lib/salome:${CALCULATOR_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ CALCULATOR_src ------
+export CALCULATOR_SRC_DIR=${INST_ROOT}/CALCULATOR_SRC
+##
+#------ HELLO ------
+export HELLO_ROOT_DIR=${INST_ROOT}/HELLO${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${HELLO_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${HELLO_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HELLO_ROOT_DIR}/bin/salome:${HELLO_ROOT_DIR}/lib/salome:${HELLO_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HELLO_src ------
+export HELLO_SRC_DIR=${INST_ROOT}/HELLO_SRC
+##
+#------ PYHELLO ------
+export PYHELLO_ROOT_DIR=${INST_ROOT}/PYHELLO${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${PYHELLO_ROOT_DIR}/bin/salome
+    exportp PYTHONPATH ${PYHELLO_ROOT_DIR}/bin/salome:${PYHELLO_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ PYHELLO_src ------
+export PYHELLO_SRC_DIR=${INST_ROOT}/PYHELLO_SRC
+##
+#------ ATOMGEN ------
+export ATOMGEN_ROOT_DIR=${INST_ROOT}/ATOMGEN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${ATOMGEN_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${ATOMGEN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${ATOMGEN_ROOT_DIR}/bin/salome:${ATOMGEN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ ATOMGEN_src ------
+export ATOMGEN_SRC_DIR=${INST_ROOT}/ATOMGEN_SRC
+##
+#------ ATOMSOLV ------
+export ATOMSOLV_ROOT_DIR=${INST_ROOT}/ATOMSOLV${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${ATOMSOLV_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${ATOMSOLV_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${ATOMSOLV_ROOT_DIR}/bin/salome:${ATOMSOLV_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ ATOMSOLV_src ------
+export ATOMSOLV_SRC_DIR=${INST_ROOT}/ATOMSOLV_SRC
+##
+#------ ATOMIC ------
+export ATOMIC_ROOT_DIR=${INST_ROOT}/ATOMIC${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${ATOMIC_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${ATOMIC_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${ATOMIC_ROOT_DIR}/bin/salome:${ATOMIC_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ ATOMIC_src ------
+export ATOMIC_SRC_DIR=${INST_ROOT}/ATOMIC_SRC
+##
+#------ LIGHT ------
+export LIGHT_ROOT_DIR=${INST_ROOT}/LIGHT${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp LD_LIBRARY_PATH ${LIGHT_ROOT_DIR}/lib/salome
+  fi
+fi
+##
+#------ LIGHT_src ------
+export LIGHT_SRC_DIR=${INST_ROOT}/LIGHT_SRC
+##
+#------ PYLIGHT ------
+export PYLIGHT_ROOT_DIR=${INST_ROOT}/PYLIGHT${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${PYLIGHT_ROOT_DIR}/bin/salome
+    exportp PYTHONPATH ${PYLIGHT_ROOT_DIR}/bin/salome
+  fi
+fi
+##
+#------ PYLIGHT_src ------
+export PYLIGHT_SRC_DIR=${INST_ROOT}/PYLIGHT_SRC
+##
+#------ RANDOMIZER ------
+export RANDOMIZER_ROOT_DIR=${INST_ROOT}/RANDOMIZER${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${RANDOMIZER_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${RANDOMIZER_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${RANDOMIZER_ROOT_DIR}/bin/salome:${RANDOMIZER_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ RANDOMIZER_src ------
+export RANDOMIZER_SRC_DIR=${INST_ROOT}/RANDOMIZER_SRC
+##
+#------ SIERPINSKY ------
+export SIERPINSKY_ROOT_DIR=${INST_ROOT}/SIERPINSKY${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${SIERPINSKY_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${SIERPINSKY_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${SIERPINSKY_ROOT_DIR}/bin/salome:${SIERPINSKY_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ SIERPINSKY_src ------
+export SIERPINSKY_SRC_DIR=${INST_ROOT}/SIERPINSKY_SRC
+##
+#------ YACS ------
+export YACS_ROOT_DIR=${INST_ROOT}/YACS${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${YACS_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${YACS_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${YACS_ROOT_DIR}/bin/salome:${YACS_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ YACS_src ------
+export YACS_SRC_DIR=${INST_ROOT}/YACS_SRC
+##
+#------ YACSGEN ------
+export YACSGEN_ROOT_DIR=${INST_ROOT}/YACSGEN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PYTHONPATH ${YACSGEN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages
+  fi
+fi
+##
+#------ YACSGEN_src ------
+export YACSGEN_SRC_DIR=${INST_ROOT}/YACSGEN_SRC
+##
+#------ JOBMANAGER ------
+export JOBMANAGER_ROOT_DIR=${INST_ROOT}/JOBMANAGER${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${JOBMANAGER_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${JOBMANAGER_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${JOBMANAGER_ROOT_DIR}/bin/salome:${JOBMANAGER_ROOT_DIR}/lib/salome:${JOBMANAGER_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ JOBMANAGER_src ------
+export JOBMANAGER_SRC_DIR=${INST_ROOT}/JOBMANAGER_SRC
+##
+#------ SAMPLES_src ------
+export DATA_DIR=${INST_ROOT}/SAMPLES_SRC
+##
+#------ TUTORIAL_src ------
+##
+#------ HOMARD ------
+export HOMARD_ROOT_DIR=${INST_ROOT}/HOMARD${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${HOMARD_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${HOMARD_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HOMARD_ROOT_DIR}/bin/salome:${HOMARD_ROOT_DIR}/lib/salome:${HOMARD_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HOMARD_src ------
+export HOMARD_SRC_DIR=${INST_ROOT}/HOMARD_SRC
+##
+#------ xdata ------ 
+export XDATAROOT=${INST_ROOT}/xdata-0.9.3
+exportp PATH ${XDATAROOT}/bin
+exportp PYTHONPATH ${XDATAROOT}/lib/python${PYTHON_VERSION}/site-packages/xdata
+##
+#------ xdata_src ------
+# nothing to do
+##
+#------ HXX2SALOME ------
+export HXX2SALOME_ROOT_DIR=${INST_ROOT}/HXX2SALOME${vx}/bin
+exportp PATH ${HXX2SALOME_ROOT_DIR}
+##
+#------ HXX2SALOME_src ------
+# nothing to do
+##
+#------ HXX2SALOMEDOC ------
+#nothing to do
+##
+#------ HXX2SALOMEDOC_src ------
+# nothing to do
+##
+#------ DOCUMENTATION_src ------
+#nothing to do
+##
diff --git a/scripts/env_products.sh b/scripts/env_products.sh
new file mode 100644 (file)
index 0000000..4f06e12
--- /dev/null
@@ -0,0 +1,838 @@
+##########################################################################
+# Functions exporta and exportp are used to append/prepend correspondingly 
+# one directory or a set of directories separated by semicolon symbol (':')
+# to the environment variables like PATH, LD_LIBRARY_PATH, PYTHONPATH,
+# LD_RUN_PATH etc. 
+# The main purpose is to replace default setenv command behavior:
+# exporta, exportp also remove duplicated entries, shortening in that way
+# the environment variables.
+# If some directory being added is already included into the variable
+# nothing is done for it.
+# Note, that these functions work some slower that setenv command itself.
+#
+#### cleandup ###
+# appends/prepends set of directories (second parameter) 
+# to the another set of directories (first parameter) and
+# removes duplicated entries;
+# the third parameter defines the mode: 0 - append, 1 - prepend
+cleandup() {
+out_var=`echo $1 $2 | awk -v dir=$3 '{                   \
+     na = split($2,a,":");                               \
+     k1=0;                                               \
+     bbb[k1++]="";                                       \
+     ccc[""];                                            \
+     if($1 != "<empty>") {                               \
+       nb = split($1,b,":");                             \
+       for(i=1;i<=nb;i++) {                              \
+         if(!(b[i] in ccc) ) {                           \
+          ccc[b[i]];                                    \
+           bbb[k1++]=b[i];                               \
+        };                                              \
+       };                                                \
+     };                                                  \
+     k2=0;                                               \
+     aaa[k2++]="";                                       \
+     for(i=1;i<=na;i++) {                                \
+       if(!(a[i] in ccc)) {                              \
+         ccc[a[i]];                                      \
+         aaa[k2++]=a[i];                                 \
+       };                                                \
+     };                                                  \
+     ORS=":";                                            \
+     if(dir) {                                           \
+       for(i=1;i<k2;i++) {                               \
+         print aaa[i];                                   \
+       }                                                 \
+       for(i=1;i<k1;i++) {                               \
+         print bbb[i];                                   \
+       }                                                 \
+     }                                                   \
+     else {                                              \
+       for(i=1;i<k1;i++) {                               \
+         print bbb[i];                                   \
+       }                                                 \
+       for(i=1;i<k2;i++) {                               \
+         print aaa[i];                                   \
+       }                                                 \
+     }                                                   \
+   }' | sed -e 's/\(.*\):/\1/g'`
+echo $out_var
+}
+### exporta ###
+# appends directory or set of directories, separated by ':' (second parameter)
+# to the variable (first parameter)
+exporta () { 
+xenv=`printenv $1`
+if [ -z "$xenv" ]; then xenv="<empty>"; fi
+out_var=`cleandup $xenv $2 0`
+export $1=$out_var
+}
+### exportp ###
+# prepends directory or set of directories, separated by ':' (second parameter)
+# to the variable (first parameter)
+exportp () { 
+xenv=`printenv $1`
+if [ -z "$xenv" ]; then xenv="<empty>"; fi
+out_var=`cleandup $xenv $2 1`
+export $1=$out_var
+}
+###########################################################################
+
+#------ Setting products installation directory ------
+#export INST_ROOT=/dn40/PRODUCTS/salome/6.x/opt/DEBIAN.6.0.64/6.6.0
+export INST_ROOT=${PWD}
+
+### Variables for OCCT 653
+### Set this variable to 1 in order to use OCCT products from ${INST_ROOT}
+### Otherwise these products will be taken from other location (devenv)
+### Default value is 0
+if [ -z "$IN_PLACE_OCCT_PRODUCTS" ] ; then
+IN_PLACE_OCCT_PRODUCTS=1
+fi
+
+if [ "${IN_PLACE_OCCT_PRODUCTS}" != "1" ] ; then
+  if [ -f /dn40/PRODUCTS/salome/OCCT/salome650-occt-products/Debian60-64/env_products.sh ] ; then
+    . /dn40/PRODUCTS/salome/OCCT/salome650-occt-products/Debian60-64/env_products.sh
+  else
+    echo "ERROR: env file for CASCADE products is not found! Please contact maintenance team!"
+  fi
+fi
+
+#------ Environment switch: 0 for SALOME building, 1 for SALOME launching ------
+export ENV_FOR_LAUNCH=1
+
+#------ tcltk ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export TCLHOME=${INST_ROOT}/tcltk-8.5.8
+exportp PATH ${TCLHOME}/bin
+exportp LD_LIBRARY_PATH ${TCLHOME}/lib
+export TCLLIBPATH="${TCLHOME}/lib ${TCLHOME}/lib/tcl8.5 ${TCLHOME}/lib/tk8.5"
+fi
+##
+#------ tcltk_src ------
+# nothing to do
+##
+#------ Python ------
+export PYTHONROOT=${INST_ROOT}/Python-2.6.6
+export PYTHONHOME=$PYTHONROOT
+exportp PATH ${PYTHONROOT}/bin
+exportp LD_LIBRARY_PATH ${PYTHONROOT}/lib
+export PYTHON_VERSION=2.6
+export PYTHON_INCLUDE=${PYTHONROOT}/include/python${PYTHON_VERSION}
+exportp PYTHONPATH ${PYTHONROOT}/lib/python${PYTHON_VERSION}
+##
+#------ Python_src ------
+# nothing to do
+##
+#------ Qt ------
+export QTDIR=${INST_ROOT}/qt-4.6.3
+exportp PATH ${QTDIR}/bin 
+exportp LD_LIBRARY_PATH ${QTDIR}/lib
+export QT_PLUGIN_PATH=${QTDIR}/plugins
+##
+#------ Qt_src ------
+# nothing to do
+##
+#------ Sip ------
+export SIPDIR=${INST_ROOT}/sip-4.13.2
+exportp PATH ${SIPDIR}/bin
+exportp PYTHONPATH ${SIPDIR}/lib/python${PYTHON_VERSION}/site-packages
+exportp LD_LIBRARY_PATH ${SIPDIR}/lib/python${PYTHON_VERSION}/site-packages
+##
+#------ Sip_src ------
+# nothing to do
+##
+#------ PyQt ------
+export PYQTDIR=${INST_ROOT}/PyQt-4.9.1
+export PYQT_SIPS=${PYQTDIR}/sip
+exportp PATH ${PYQTDIR}/bin
+exportp PYTHONPATH ${PYQTDIR}:${PYQTDIR}/PyQt4
+exportp LD_LIBRARY_PATH ${PYQTDIR}/PyQt4
+##
+#------ PyQt_src ------
+# nothing to do
+##
+#------ QScintilla ------
+export QSCINTILLA_DIR=${INST_ROOT}/QScintilla-2.6.1
+exportp LD_LIBRARY_PATH ${QSCINTILLA_DIR}/lib
+##
+#------ QScintilla_src ------
+# nothing to do
+##
+#------ boost ------ 
+export BOOSTDIR=${INST_ROOT}/boost-1.49.0
+exportp LD_LIBRARY_PATH ${BOOSTDIR}/lib
+exportp PATH ${BOOSTDIR}/include
+##
+#------ boost_src ------
+# nothing to do
+##
+#------ Swig ------ 
+export SWIG_ROOT=${INST_ROOT}/swig-1.3.40
+exportp PATH ${SWIG_ROOT}/bin
+export SWIG_LIB=${SWIG_ROOT}/share/swig/1.3.40
+##
+#------ Swig_src ------
+# nothing to do
+##
+#------ freetype ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export FREETYPEDIR=${INST_ROOT}/freetype-2.4.10
+exportp LD_LIBRARY_PATH ${FREETYPEDIR}/lib
+fi
+##
+#------ freetype_src ------
+# nothing to do
+##
+#------ ftgl ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export FTGLDIR=${INST_ROOT}/ftgl-2.1.3
+exportp PATH ${FTGLDIR}/bin 
+exportp LD_LIBRARY_PATH ${FTGLDIR}/lib
+fi
+##
+#------ ftgl_src ------
+# nothing to do
+##
+#------ freeimage ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export FREEIMAGEDIR=${INST_ROOT}/freeimage-3.14.1
+exportp PATH ${FREEIMAGEDIR}/bin 
+exportp LD_LIBRARY_PATH ${FREEIMAGEDIR}/lib
+fi
+##
+#------ freeimage_src ------
+# nothing to do
+##
+#------ cmake ------
+export CMAKEHOME=${INST_ROOT}/cmake-2.8.7
+exportp PATH ${CMAKEHOME}/bin
+##
+#------ cmake_src ------
+# nothing to do
+##
+#------ gl2ps ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export GL2PSHOME=${INST_ROOT}/gl2ps-1.3.5
+exportp PATH ${GL2PSHOME}/bin 
+exportp LD_LIBRARY_PATH ${GL2PSHOME}/lib
+fi
+##
+#------ gl2ps_src ------
+# nothing to do
+##
+#------ tbb ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export TBBHOME=${INST_ROOT}/tbb30_018oss
+exportp PATH ${TBBHOME}/bin/intel64/cc4.1.0_libc2.4_kernel2.6.16.21
+exportp LD_LIBRARY_PATH ${TBBHOME}/lib/intel64/cc4.1.0_libc2.4_kernel2.6.16.21
+fi
+##
+#------ tbb_src ------
+# nothing to do
+##
+#------ OpenCascade ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export CASROOT=${INST_ROOT}/OCCT-6.5.4
+exportp PATH ${CASROOT}/bin
+exportp LD_LIBRARY_PATH ${CASROOT}/lib:${CASROOT}/lin/lib
+# Variable for Foundation Classes : 
+export CSF_UnitsLexicon=${CASROOT}/src/UnitsAPI/Lexi_Expr.dat 
+export CSF_UnitsDefinition=${CASROOT}/src/UnitsAPI/Units.dat 
+# Variable for DataExchange : 
+export CSF_SHMessage=${CASROOT}/src/SHMessage
+export CSF_XSMessage=${CASROOT}/src/XSMessage 
+# Variable for Font : 
+export CSF_MDTVFontDirectory=${CASROOT}/src/FontMFT 
+export CSF_MDTVTexturesDirectory=${CASROOT}/src/Textures 
+# Activation of OCCT Kernel multithreading :
+export MMGT_REENTRANT=1
+##
+#------ OpenCascade_src ------
+# nothing to do
+fi
+##
+#------ Qwt ------
+export QWTHOME=${INST_ROOT}/qwt-5.2.1
+exportp LD_LIBRARY_PATH ${QWTHOME}/lib 
+##
+#------ Qwt_src ------
+# nothing to do
+##
+#------ OmniORB ------
+export OMNIORBDIR=${INST_ROOT}/omniORB-4.1.6
+export OMNIORB_DIR=${OMNIORBDIR}
+export OMNIORB_CONFIG=${OMNIORBDIR}/.omniORB.cfg
+exportp PYTHONPATH ${OMNIORBDIR}/lib:${OMNIORBDIR}/lib/python${PYTHON_VERSION}/site-packages
+exportp PATH $OMNIORBDIR/bin
+exportp LD_LIBRARY_PATH $OMNIORBDIR/lib 
+##
+#------ OmniORB_src ------
+# nothing to do
+##
+#------ Hdf5 ------
+export HDF5HOME=${INST_ROOT}/hdf5-1.8.8
+exportp PATH ${HDF5HOME}/bin
+exportp LD_LIBRARY_PATH ${HDF5HOME}/lib
+##
+#------ Hdf5_src ------
+# nothing to do
+##
+#------ cgnslib ------
+export CGNSHOME=${INST_ROOT}/cgnslib-3.1.3
+exportp PATH ${CGNSHOME}/bin
+exportp LD_LIBRARY_PATH ${CGNSHOME}/lib
+##
+#------ cgnslib_src ------
+# nothing to do
+##
+#------ Med ------
+export MED3HOME=${INST_ROOT}/med-3.0.6
+exportp PATH ${MED3HOME}/bin
+exportp LD_LIBRARY_PATH ${MED3HOME}/lib
+##
+#------ Med_src ------
+# nothing to do
+##
+#------ Metis ------ 
+export METISDIR=${INST_ROOT}/metis-4.0
+##
+#------ Metis_src ------
+# nothing to do
+##
+#------ Scotch ------ 
+export SCOTCHDIR=${INST_ROOT}/scotch-5.1.11
+##
+#------ Scotch_src ------
+# nothing to do
+##
+#------ ParaView ------
+export PVHOME=${INST_ROOT}/ParaView-3.14.0
+exportp PATH ${PVHOME}/bin
+exportp LD_LIBRARY_PATH ${PVHOME}/lib/paraview-3.14
+exportp PYTHONPATH ${PVHOME}/lib/paraview-3.14:${PVHOME}/lib/paraview-3.14/site-packages:${PVHOME}/lib/paraview-3.14/site-packages/paraview
+export VTK_DIR=${PVHOME}/lib/paraview-3.14
+export PV_PLUGIN_PATH=${PVHOME}/lib/paraview-3.14
+##
+#------ ParaView_src ------
+# nothing to do
+##
+#------ numpy ------
+exportp PYTHONPATH ${INST_ROOT}/numpy-1.5.1/lib/python${PYTHON_VERSION}/site-packages
+exportp PATH ${INST_ROOT}/numpy-1.5.1/bin
+exportp LD_LIBRARY_PATH ${INST_ROOT}/numpy-1.5.1/lib
+##
+#------ numpy_src ------
+# nothing to do
+##
+#------ expat ------
+export EXPAT_ROOT=${INST_ROOT}/expat-2.0.1
+exportp PATH ${EXPAT_ROOT}/bin
+exportp LD_LIBRARY_PATH ${EXPAT_ROOT}/lib
+##
+#------ expat_src ------
+# nothing to do
+##
+#------ Graphviz ------
+export GRAPHVIZHOME=${INST_ROOT}/graphviz-2.28.0
+exportp PATH ${GRAPHVIZHOME}/bin
+exportp LD_LIBRARY_PATH ${GRAPHVIZHOME}/lib:${GRAPHVIZHOME}/lib/graphviz
+##
+#------ Graphviz_src ------
+# nothing to do
+##
+#------ Doxygen ------
+exportp PATH ${INST_ROOT}/doxygen-1.8.0/bin
+##
+#------ Doxygen_src ------
+# nothing to do
+##
+#------ docutils ------
+exportp PYTHONPATH ${INST_ROOT}/docutils-0.8.1/lib/python${PYTHON_VERSION}/site-packages
+exportp PATH ${INST_ROOT}/docutils-0.8.1/bin
+##
+#------ docutils_src ------
+# nothing to do
+##
+#------ Sphinx ------
+exportp PYTHONPATH ${INST_ROOT}/Sphinx-1.1.3/lib/python${PYTHON_VERSION}/site-packages
+exportp PATH ${INST_ROOT}/Sphinx-1.1.3/bin
+##
+#------ Sphinx_src ------
+# nothing to do
+##
+#------ libxml2 ------
+export LIBXML_DIR=${INST_ROOT}/libxml2-2.7.8
+exportp PATH ${LIBXML_DIR}/bin
+exportp LD_LIBRARY_PATH ${LIBXML_DIR}/lib
+##
+#------ libxml2_src ------
+# nothing to do
+##
+#------ netgen ------
+if [ "${IN_PLACE_OCCT_PRODUCTS}" = "1" ] ; then
+export NETGENHOME=${INST_ROOT}/netgen-4.9.13
+exportp LD_LIBRARY_PATH ${NETGENHOME}/lib
+fi
+##
+#------ netgen_src ------
+# nothing to do
+##
+#------ DISTENE ------
+export DISTENE_HOME=${INST_ROOT}/DISTENE
+export MESHGEMSHOME=${DISTENE_HOME}/MeshGems-1.0/Products
+exportp LD_LIBRARY_PATH ${MESHGEMSHOME}/lib/Linux_64
+exportp PATH ${MESHGEMSHOME}/bin/Linux_64
+export HEXOTIC_HOME=${DISTENE_HOME}/Hexotic-1.0
+exportp PATH ${HEXOTIC_HOME}/bin/Linux_64
+. ${DISTENE_HOME}/DLim/dlim8.var.sh
+##
+#------ DISTENE_src ------
+# nothing to do
+##
+#------ homard ------
+export homard_HOME=${INST_ROOT}/homard
+exportp PATH ${homard_HOME}/HOMARD_V10.4_64
+##
+#------ homard_src ------
+# nothing to do
+##
+#==============================================================================
+#==============================================================================
+#==============================================================================
+
+export vx=""
+if [ -e KERNEL_SRC/configure.ac ] ; then
+    vx=`grep -e "^AC_INIT" KERNEL_SRC/configure.ac | sed -e "s%.*\[\([[:digit:].]*\)\].*%\1%g"`
+elif [ -e KERNEL_SRC/configure.in.base ] ; then
+    vx=`grep -e "^VERSION=" KERNEL_SRC/configure.in.base | awk -F= '{ if (NF>1) print $NF; }' | tr -d '[:space:]'`
+    if [ "$vx" == "" ] ; then
+       >vx=`grep -e "^AC_INIT" KERNEL_SRC/configure.in.base | sed -e "s%.*\[\([[:digit:].]*\)\].*%\1%g"`
+    fi
+elif [ -e KERNEL_SRC/CMakeLists.txt ] ; then
+    ver_maj=`cat KERNEL_SRC/CMakeLists.txt | grep SET\(VERSION_MAJOR | sed -e "s%[A-Z_() ]%%g"`
+    ver_min=`cat KERNEL_SRC/CMakeLists.txt | grep SET\(VERSION_MINOR | sed -e "s%[A-Z_() ]%%g"`
+    ver_maintenance=`cat KERNEL_SRC/CMakeLists.txt | grep SET\(VERSION_MAINTENANCE | sed -e "s%[A-Z_() ]%%g"`
+    vx="${ver_maj}.${ver_min}.${ver_maintenance}"
+fi
+if [ "$vx" != "" ] ; then
+    vx="_$vx"
+fi
+
+#echo vx ================== ${vx}
+#exit
+
+#------ KERNEL ------
+export KERNEL_ROOT_DIR=${INST_ROOT}/KERNEL${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${KERNEL_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${KERNEL_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${KERNEL_ROOT_DIR}/bin/salome:${KERNEL_ROOT_DIR}/lib/salome:${KERNEL_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ KERNEL_src ------
+export KERNEL_SRC_DIR=${INST_ROOT}/KERNEL_SRC
+##
+#------ GUI ------
+export GUI_ROOT_DIR=${INST_ROOT}/GUI${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${GUI_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${GUI_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${GUI_ROOT_DIR}/bin/salome:${GUI_ROOT_DIR}/lib/salome:${GUI_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+    export VTK_AUTOLOAD_PATH=${GUI_ROOT_DIR}/lib/paraview
+  fi
+fi
+##
+#------ GUI_src ------
+export GUI_SRC_DIR=${INST_ROOT}/GUI_SRC
+##
+#------ GEOM ------
+export GEOM_ROOT_DIR=${INST_ROOT}/GEOM${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${GEOM_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${GEOM_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${GEOM_ROOT_DIR}/bin/salome:${GEOM_ROOT_DIR}/lib/salome:${GEOM_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ GEOM_src ------
+export GEOM_SRC_DIR=${INST_ROOT}/GEOM_SRC
+##
+#------ MED ------
+export MED_ROOT_DIR=${INST_ROOT}/MED${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${MED_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${MED_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${MED_ROOT_DIR}/bin/salome:${MED_ROOT_DIR}/lib/salome:${MED_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+    export AM2CMAKE_FORCE_GENERATION=1
+  fi
+fi
+##
+#------ MED_src ------
+export MED_SRC_DIR=${INST_ROOT}/MED_SRC
+##
+#------ SMESH ------
+export SMESH_ROOT_DIR=${INST_ROOT}/SMESH${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${SMESH_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${SMESH_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${SMESH_ROOT_DIR}/bin/salome:${SMESH_ROOT_DIR}/lib/salome:${SMESH_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ SMESH_src ------
+export SMESH_SRC_DIR=${INST_ROOT}/SMESH_SRC
+##
+#------ VISU ------
+export VISU_ROOT_DIR=${INST_ROOT}/VISU${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${VISU_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${VISU_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${VISU_ROOT_DIR}/bin/salome:${VISU_ROOT_DIR}/lib/salome:${VISU_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ VISU_src ------
+export VISU_SRC_DIR=${INST_ROOT}/VISU_SRC
+##
+#------ PARAVIS ------
+export PARAVIS_ROOT_DIR=${INST_ROOT}/PARAVIS${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${PARAVIS_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${PARAVIS_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${PARAVIS_ROOT_DIR}/bin/salome:${PARAVIS_ROOT_DIR}/lib/salome:${PARAVIS_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+    export PV_PLUGIN_PATH=${PARAVIS_ROOT_DIR}/lib/paraview:${PV_PLUGIN_PATH}
+  fi
+fi
+##
+#------ PARAVIS_src ------
+export PARAVIS_SRC_DIR=${INST_ROOT}/PARAVIS_SRC
+export ACCEPT_PARAVIS_WARNINGS=1
+##
+#------ HEXABLOCK ------
+export HEXABLOCK_ROOT_DIR=${INST_ROOT}/HEXABLOCK${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${HEXABLOCK_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${HEXABLOCK_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HEXABLOCK_ROOT_DIR}/bin/salome:${HEXABLOCK_ROOT_DIR}/lib/salome:${HEXABLOCK_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HEXABLOCK_src ------
+export HEXABLOCK_SRC_DIR=${INST_ROOT}/HEXABLOCK_SRC
+##
+#------ HEXABLOCKPLUGIN ------
+export HEXABLOCKPLUGIN_ROOT_DIR=${INST_ROOT}/HEXABLOCKPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp LD_LIBRARY_PATH ${HEXABLOCKPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HEXABLOCKPLUGIN_ROOT_DIR}/lib/salome:${HEXABLOCKPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HEXABLOCKPLUGIN_src ------
+export HEXABLOCKPLUGIN_SRC_DIR=${INST_ROOT}/HEXABLOCKPLUGIN_SRC
+##
+#------ NETGENPLUGIN ------
+export NETGENPLUGIN_ROOT_DIR=${INST_ROOT}/NETGENPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp LD_LIBRARY_PATH ${NETGENPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${NETGENPLUGIN_ROOT_DIR}/lib/salome:${NETGENPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ NETGENPLUGIN_src ------
+export NETGENPLUGIN_SRC_DIR=${INST_ROOT}/NETGENPLUGIN_SRC
+##
+#------ GHS3DPLUGIN ------
+export GHS3DPLUGIN_ROOT_DIR=${INST_ROOT}/GHS3DPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp LD_LIBRARY_PATH ${GHS3DPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${GHS3DPLUGIN_ROOT_DIR}/lib/salome:${GHS3DPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ GHS3DPLUGIN_src ------
+export GHS3DPLUGIN_SRC_DIR=${INST_ROOT}/GHS3DPLUGIN_SRC
+##
+#------ GHS3DPRLPLUGIN ------
+export GHS3DPRLPLUGIN_ROOT_DIR=${INST_ROOT}/GHS3DPRLPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${GHS3DPRLPLUGIN_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${GHS3DPRLPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${GHS3DPRLPLUGIN_ROOT_DIR}/bin/salome:${GHS3DPRLPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ GHS3DPRLPLUGIN_src ------
+export GHS3DPRLPLUGIN_SRC_DIR=${INST_ROOT}/GHS3DPRLPLUGIN_SRC
+##
+#------ BLSURFPLUGIN ------
+export BLSURFPLUGIN_ROOT_DIR=${INST_ROOT}/BLSURFPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${BLSURFPLUGIN_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${BLSURFPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${BLSURFPLUGIN_ROOT_DIR}/bin/salome:${BLSURFPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ BLSURFPLUGIN_src ------
+export BLSURFPLUGIN_SRC_DIR=${INST_ROOT}/BLSURFPLUGIN_SRC
+##
+#------ HexoticPLUGIN ------
+export HexoticPLUGIN_ROOT_DIR=${INST_ROOT}/HexoticPLUGIN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${HexoticPLUGIN_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${HexoticPLUGIN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HexoticPLUGIN_ROOT_DIR}/bin/salome:${HexoticPLUGIN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HexoticPLUGIN_src ------
+export HexoticPLUGIN_SRC_DIR=${INST_ROOT}/HexoticPLUGIN_SRC
+##
+#------ COMPONENT ------
+export COMPONENT_ROOT_DIR=${INST_ROOT}/COMPONENT${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${COMPONENT_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${COMPONENT_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${COMPONENT_ROOT_DIR}/bin/salome:${COMPONENT_ROOT_DIR}/lib/salome:${COMPONENT_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ COMPONENT_src ------
+export COMPONENT_SRC_DIR=${INST_ROOT}/COMPONENT_SRC
+##
+#------ PYCALCULATOR ------
+export PYCALCULATOR_ROOT_DIR=${INST_ROOT}/PYCALCULATOR${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${PYCALCULATOR_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${PYCALCULATOR_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${PYCALCULATOR_ROOT_DIR}/bin/salome:${PYCALCULATOR_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ PYCALCULATOR_src ------
+export PYCALCULATOR_SRC_DIR=${INST_ROOT}/PYCALCULATOR_SRC
+##
+#------ CALCULATOR ------
+export CALCULATOR_ROOT_DIR=${INST_ROOT}/CALCULATOR${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${CALCULATOR_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${CALCULATOR_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${CALCULATOR_ROOT_DIR}/bin/salome:${CALCULATOR_ROOT_DIR}/lib/salome:${CALCULATOR_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ CALCULATOR_src ------
+export CALCULATOR_SRC_DIR=${INST_ROOT}/CALCULATOR_SRC
+##
+#------ HELLO ------
+export HELLO_ROOT_DIR=${INST_ROOT}/HELLO${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${HELLO_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${HELLO_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HELLO_ROOT_DIR}/bin/salome:${HELLO_ROOT_DIR}/lib/salome:${HELLO_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HELLO_src ------
+export HELLO_SRC_DIR=${INST_ROOT}/HELLO_SRC
+##
+#------ PYHELLO ------
+export PYHELLO_ROOT_DIR=${INST_ROOT}/PYHELLO${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${PYHELLO_ROOT_DIR}/bin/salome
+    exportp PYTHONPATH ${PYHELLO_ROOT_DIR}/bin/salome:${PYHELLO_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ PYHELLO_src ------
+export PYHELLO_SRC_DIR=${INST_ROOT}/PYHELLO_SRC
+##
+#------ ATOMGEN ------
+export ATOMGEN_ROOT_DIR=${INST_ROOT}/ATOMGEN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${ATOMGEN_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${ATOMGEN_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${ATOMGEN_ROOT_DIR}/bin/salome:${ATOMGEN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ ATOMGEN_src ------
+export ATOMGEN_SRC_DIR=${INST_ROOT}/ATOMGEN_SRC
+##
+#------ ATOMSOLV ------
+export ATOMSOLV_ROOT_DIR=${INST_ROOT}/ATOMSOLV${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${ATOMSOLV_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${ATOMSOLV_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${ATOMSOLV_ROOT_DIR}/bin/salome:${ATOMSOLV_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ ATOMSOLV_src ------
+export ATOMSOLV_SRC_DIR=${INST_ROOT}/ATOMSOLV_SRC
+##
+#------ ATOMIC ------
+export ATOMIC_ROOT_DIR=${INST_ROOT}/ATOMIC${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${ATOMIC_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${ATOMIC_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${ATOMIC_ROOT_DIR}/bin/salome:${ATOMIC_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ ATOMIC_src ------
+export ATOMIC_SRC_DIR=${INST_ROOT}/ATOMIC_SRC
+##
+#------ LIGHT ------
+export LIGHT_ROOT_DIR=${INST_ROOT}/LIGHT${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp LD_LIBRARY_PATH ${LIGHT_ROOT_DIR}/lib/salome
+  fi
+fi
+##
+#------ LIGHT_src ------
+export LIGHT_SRC_DIR=${INST_ROOT}/LIGHT_SRC
+##
+#------ PYLIGHT ------
+export PYLIGHT_ROOT_DIR=${INST_ROOT}/PYLIGHT${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${PYLIGHT_ROOT_DIR}/bin/salome
+    exportp PYTHONPATH ${PYLIGHT_ROOT_DIR}/bin/salome
+  fi
+fi
+##
+#------ PYLIGHT_src ------
+export PYLIGHT_SRC_DIR=${INST_ROOT}/PYLIGHT_SRC
+##
+#------ RANDOMIZER ------
+export RANDOMIZER_ROOT_DIR=${INST_ROOT}/RANDOMIZER${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${RANDOMIZER_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${RANDOMIZER_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${RANDOMIZER_ROOT_DIR}/bin/salome:${RANDOMIZER_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ RANDOMIZER_src ------
+export RANDOMIZER_SRC_DIR=${INST_ROOT}/RANDOMIZER_SRC
+##
+#------ SIERPINSKY ------
+export SIERPINSKY_ROOT_DIR=${INST_ROOT}/SIERPINSKY${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${SIERPINSKY_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${SIERPINSKY_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${SIERPINSKY_ROOT_DIR}/bin/salome:${SIERPINSKY_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ SIERPINSKY_src ------
+export SIERPINSKY_SRC_DIR=${INST_ROOT}/SIERPINSKY_SRC
+##
+#------ YACS ------
+export YACS_ROOT_DIR=${INST_ROOT}/YACS${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${YACS_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${YACS_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${YACS_ROOT_DIR}/bin/salome:${YACS_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ YACS_src ------
+export YACS_SRC_DIR=${INST_ROOT}/YACS_SRC
+##
+#------ YACSGEN ------
+export YACSGEN_ROOT_DIR=${INST_ROOT}/YACSGEN${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PYTHONPATH ${YACSGEN_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages
+  fi
+fi
+##
+#------ YACSGEN_src ------
+export YACSGEN_SRC_DIR=${INST_ROOT}/YACSGEN_SRC
+##
+#------ JOBMANAGER ------
+export JOBMANAGER_ROOT_DIR=${INST_ROOT}/JOBMANAGER${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${JOBMANAGER_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${JOBMANAGER_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${JOBMANAGER_ROOT_DIR}/bin/salome:${JOBMANAGER_ROOT_DIR}/lib/salome:${JOBMANAGER_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ JOBMANAGER_src ------
+export JOBMANAGER_SRC_DIR=${INST_ROOT}/JOBMANAGER_SRC
+##
+#------ SAMPLES_src ------
+export DATA_DIR=${INST_ROOT}/SAMPLES_SRC
+##
+#------ TUTORIAL_src ------
+##
+#------ HOMARD ------
+export HOMARD_ROOT_DIR=${INST_ROOT}/HOMARD${vx}
+if [ -n "${ENV_FOR_LAUNCH}" ] ; then
+  if [ "${ENV_FOR_LAUNCH}" = "1" ] ; then
+    exportp PATH ${HOMARD_ROOT_DIR}/bin/salome
+    exportp LD_LIBRARY_PATH ${HOMARD_ROOT_DIR}/lib/salome
+    exportp PYTHONPATH ${HOMARD_ROOT_DIR}/bin/salome:${HOMARD_ROOT_DIR}/lib/salome:${HOMARD_ROOT_DIR}/lib/python${PYTHON_VERSION}/site-packages/salome
+  fi
+fi
+##
+#------ HOMARD_src ------
+export HOMARD_SRC_DIR=${INST_ROOT}/HOMARD_SRC
+##
+#------ xdata ------ 
+export XDATAROOT=${INST_ROOT}/xdata-0.9.3
+exportp PATH ${XDATAROOT}/bin
+exportp PYTHONPATH ${XDATAROOT}/lib/python${PYTHON_VERSION}/site-packages/xdata
+##
+#------ xdata_src ------
+# nothing to do
+##
+#------ HXX2SALOME ------
+export HXX2SALOME_ROOT_DIR=${INST_ROOT}/HXX2SALOME${vx}/bin
+exportp PATH ${HXX2SALOME_ROOT_DIR}
+##
+#------ HXX2SALOME_src ------
+# nothing to do
+##
+#------ HXX2SALOMEDOC ------
+#nothing to do
+##
+#------ HXX2SALOMEDOC_src ------
+# nothing to do
+##
+#------ DOCUMENTATION_src ------
+#nothing to do
+##
index eb23bae5f689933cc41e7d9fe8c0fc9c33754f07..ac54a03e731e53bd3d7cd9ffbb283769cbcbe1e6 100644 (file)
@@ -1,10 +1,9 @@
-#!/bin/bash 
+#!/bin/bash
 
 #echo dir1 = `dirname $0`
 #echo dir2 = ${PWD}
 
-#env_script=${PWD}/env_products.sh
-env_script=/dn40/PRODUCTS/salome/6.x/opt/MANDRIVA.2010.64/6.6.0/env_products.sh
+env_script=${PWD}/env_products.sh
 
 if [ -e $env_script ] ; then
     echo
index ee0eb28882486a39a090f8141c043a11cb0f49cd..f95bd9fe7b0770ba8fb5c70eb39e36f857c6ad3a 100644 (file)
@@ -17,8 +17,7 @@ fi
 echo "pwd = " ${PWD} >> check_params.txt
 echo "display = " ${DISPLAY} >> check_params.txt
 
-#env_script=${PWD}/env_products.sh
-env_script=/dn40/PRODUCTS/salome/6.x/opt/MANDRIVA.2010.64/6.6.0/env_products.sh
+env_script=${PWD}/env_products.sh
 echo script = $env_script
 
 if [ -e $env_script ] ; then